Subject: Re: [tram] ALPN Registration [was Re: I-D Action: draft-ietf-tram-stun-dtls-01.txt]

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Tue, 8 Apr 2014 09:26:24 +0000

Hi Oleg,

Please see inline [TR]

From: Oleg Moskalenko [mailto:[email-masked]]
Sent: Tuesday, April 08, 2014 11:43 AM
To: Tirumaleswar Reddy (tireddy)
Cc: Gonzalo Salgueiro (gsalguei); Simon Perreault; [email-masked]
Subject: Re: [tram] ALPN Registration [was Re: I-D Action: draft-ietf-tram-stun-dtls-01.txt]

I think that ALPN draft has to be a separate dedicated to ALPN draft.
[TR] Agreed.
We already have TLS in TURN. The DTLS draft simply corrects that asymmetry and makes DTLS on the same level as TLS. That is logically a separate task from adding ALPN to both TLS and DTLS.
[TR] ALPN remains same for both TLS and DTLS. ALPN draft can explicitly say it's applicable for both TLS and DTLS. Since DTLS draft is already a WG milestone, I guess it will not stop the progress of ALPN draft.
-Tiru
I'd keep those two things as sequential separate drafts. Mixing them is introducing a sort of mess into the process.
Oleg

On Mon, Apr 7, 2014 at 10:46 PM, Tirumaleswar Reddy (tireddy) <[email-masked]<mailto:[email-masked]>> wrote:
Yup, ALPN will be common for both TLS and DTLS. I see that http://tools.ietf.org/html/draft-hutton-rtcweb-nat-firewall-considerations-03#section-4.2 and http://tools.ietf.org/html/draft-thomson-rtcweb-consent-00#section-3 also discuss ALPN. we will need one place holder draft talking about all the necessary ALPN identifiers.

-Tiru
From: tram [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Oleg Moskalenko
Sent: Saturday, April 05, 2014 1:47 AM
To: Gonzalo Salgueiro (gsalguei)
Cc: Simon Perreault; [email-masked]<mailto:[email-masked]>
Subject: Re: [tram] ALPN Registration [was Re: I-D Action: draft-ietf-tram-stun-dtls-01.txt]

If ALPN is really independent of DTLS, I see no reason why they have to be combined in the draft document that was created solely for the DTLS feature introduction for STUNl.

On Fri, Apr 4, 2014 at 11:09 AM, Gonzalo Salgueiro (gsalguei) <[email-masked]<mailto:[email-masked]>> wrote:

On Apr 4, 2014, at 2:00 PM, Simon Perreault <[email-masked]<mailto:[email-masked]>> wrote:

> Le 2014-04-04 13:58, Gonzalo Salgueiro (gsalguei) a écrit :
>> Understood.  Nonetheless, even if not a part of STUNbis, it doesn't seem it should be buried in STUNoDTLS.  Shall we produce a dedicated draft for this?
>
> My preference would be for "buried in STUNoDTLS". :) But I'm open to arguments for a dedicated draft.
My position is that the ALPN reg is entirely independent of STUNoDTLS, which is why we considered more contextually relevant for the broader STUNbis effort.  A standalone dedicated ALPN reg doc to point to seems cleaner to me, but I'm open to WG decision on this.

-G

> Simon

_______________________________________________
tram mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/tram